Bug 361441 - Review Request: stix fonts - scientific and engineering fonts
Review Request: stix fonts - scientific and engineering fonts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ignacio Vazquez-Abrams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-01 06:54 EDT by Nicolas Mailhot
Modified: 2007-11-30 17:12 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-03 15:04:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ivazqueznet: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2007-11-01 06:54:23 EDT
Spec URL: http://nim.fedorapeople.org/stix-fonts.spec
SRPM URL: http://nim.fedorapeople.org/stix-fonts-0.9-2.fc9.src.rpm

Description: 

The mission of the Scientific and Technical Information Exchange (STIX) font
creation project is the preparation of a comprehensive set of fonts that serve
the scientific and engineering community in the process from manuscript
creation through final publication, both in electronic and print formats.

License needs approval by legal, but looks legit

This is a major font project that took years to complete (timeline starts in 1995) and has just been released.

Upstream beta period when fixes can be identified ends on december 15, so Fedora diffusion is needed quickly so our users can report problems while there is time
Comment 1 Nicolas Mailhot 2007-11-01 07:53:37 EDT
New version:
http://nim.fedorapeople.org/stix-fonts.spec
http://nim.fedorapeople.org/stix-fonts-0.9-3.fc9.src.rpm

(the subpackage summaries were not changed after cut & pasting)
Comment 2 Ignacio Vazquez-Abrams 2007-11-01 08:39:52 EDT
stix-fonts-0.9-3.fc7.noarch.rpm:
stix-fonts.noarch: W: no-version-in-last-changelog
stix-fonts.noarch: W: invalid-license STIX License

stix-fonts-0.9-3.fc7.src.rpm:
stix-fonts.src: W: invalid-license STIX License

stix-fonts-integrals-0.9-3.fc7.noarch.rpm:
stix-fonts-integrals.noarch: W: no-documentation
stix-fonts-integrals.noarch: W: no-version-in-last-changelog
stix-fonts-integrals.noarch: W: invalid-license STIX License

stix-fonts-pua-0.9-3.fc7.noarch.rpm:
stix-fonts-pua.noarch: W: no-documentation
stix-fonts-pua.noarch: W: no-version-in-last-changelog
stix-fonts-pua.noarch: W: invalid-license STIX License

stix-fonts-sizes-0.9-3.fc7.noarch.rpm:
stix-fonts-sizes.noarch: W: no-documentation
stix-fonts-sizes.noarch: W: no-version-in-last-changelog
stix-fonts-sizes.noarch: W: invalid-license STIX License

stix-fonts-variants-0.9-3.fc7.noarch.rpm:
stix-fonts-variants.noarch: W: no-documentation
stix-fonts-variants.noarch: W: no-version-in-last-changelog
stix-fonts-variants.noarch: W: invalid-license STIX License

So fix the version and those should be fine.

"additional" is misspelled a few times.

fontconfig should be used to backfill the glyphs from higher codepoints to lower
(not a blocker).
Comment 3 Nicolas Mailhot 2007-11-01 09:48:26 EDT
> stix-fonts-integrals.noarch: W: invalid-license STIX License
→ LEGAL

> stix-fonts-variants.noarch: W: no-version-in-last-changelog
→ bogus warning, our guidelines authorize putting version inside the changelog
entry freetext (3rd format in
http://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs), so rpmlint is wrong

> "additional" is misspelled a few times.
will fix

> fontconfig should be used to backfill the glyphs from higher codepoints to
lower (not a blocker).

will do fontconfig magic whenever I can corner someone who knows the exact
fontconfig syntax to use
Comment 4 Nicolas Mailhot 2007-11-01 09:58:29 EDT
Ok, new version fixing additional, and using the short license ID spot just
added to http://fedoraproject.org/wiki/Licensing/Fonts/Good

http://nim.fedorapeople.org/stix-fonts.spec
http://nim.fedorapeople.org/stix-fonts-0.9-4.fc9.src.rpm

Should be good now I think
Comment 5 Ignacio Vazquez-Abrams 2007-11-01 10:16:43 EDT
Approved.
Comment 6 Nicolas Mailhot 2007-11-01 10:44:21 EDT
New Package CVS Request
=======================
Package Name: stix-fonts
Short Description: STIX scientific and engineering fonts
Owners: nim (FAS)
Branches: F-8 devel
InitialCC: fedora-fonts-list@redhat.com
Cvsextras Commits: yes
Comment 7 Toshio Ernie Kuratomi 2007-11-01 11:36:13 EDT
cvs done.
Comment 8 Nicolas Mailhot 2007-11-02 10:03:23 EDT
All set and pushed to F8 updates and devel
Comment 9 Rex Dieter 2007-11-02 10:10:08 EDT
No F-7 builds?
Comment 10 Nicolas Mailhot 2007-11-02 10:34:37 EDT
I suppose I could do F-7 when the dust settles a bit, but it's not my priority
right now
Comment 11 Nicolas Mailhot 2007-11-02 10:40:58 EDT
I'm a bit swamped in Fonts SIG work right now
Comment 12 Rex Dieter 2007-11-02 10:43:07 EDT
Please do, we're on a F-7 deployment @ work, and would love to start
using/testing these asap.
Comment 13 Nicolas Mailhot 2007-11-02 10:49:07 EDT
Understood, but it requires checking if F-7 fontconfig understands the same
syntax as f-8 fontconfig, so it's not that simple
Comment 14 Nicolas Mailhot 2007-11-02 14:57:13 EDT
Ok, it seems F7 and F8 fontconfig are compatible, which makes demand for an F7
version easier

Package Change Request
======================
Package Name: stix-fonts
New Branches: F-7 
Comment 15 Kevin Fenzi 2007-11-03 13:23:31 EDT
cvs done.
Comment 16 Nicolas Mailhot 2007-11-03 15:04:54 EDT
Added and build in F-7. Do complain if it does not reach a repo rear you.

Also, send remarks to
http://www.stixfonts.org/betafeedback.html 

before the end of the beta period (dec 15)
Comment 17 Nicolas Mailhot 2007-11-03 15:07:15 EDT
Thanks Kevin!

Note You need to log in before you can comment on or make changes to this bug.